## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/vkohaupt/vokoscreenNG

Name:           vokoscreenNG
Version:        4.4.2
%forgemeta
Release:        %autorelease
Summary:        Powerful screencast creator to record the screen

License:        GPL-2.0-only
URL:            %{forgeurl}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# AppData manifest
Source1:        https://raw.githubusercontent.com/flathub/com.github.vkohaupt.%{name}/master/%{name}.appdata.xml

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  make

BuildRequires:  cmake(Qt6) >= 6.6
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Multimedia)

BuildRequires:  pkgconfig(gstreamermm-1.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(x11)
# Player
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)

%if 0%{?fedora} >= 38
Requires:       gstreamer1-plugin-gif
%endif

%description
vokoscreenNG for Windows and Linux is a powerful screencast creator in many
languages to record the screen, an area or a window (Linux only). Recording of
audio from multiple sources is supported. With the built-in camera support,
you can make your video more personal. Other tools such as systray, magnifying
glass, countdown, timer, Showclick and Halo support will help you do a good
job.


%prep
%forgeautosetup -p1
mkdir -p src/%{_target_platform}


%build
pushd src/%{_target_platform}
%qmake_qt6 ..
popd
%make_build -C src/%{_target_platform}


%install
%make_install -C src/%{_target_platform}
install -D -p -m 0755 src/%{_target_platform}/%{name} \
    %{buildroot}%{_bindir}/%{name}

# Desktop file
install -D -p -m 0644 src/applications/%{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# AppData manifest
install -D -p -m 0644 %{SOURCE1} -t %{buildroot}%{_metainfodir}/

# Icon
install -D -p -m 0644 src/applications/%{name}.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license COPYING
%doc .github/README.md info-licences-changelog-install/CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 09 2025 Artem Polishchuk <ego.cordatus@gmail.com> - 4.4.2-1
- chore: Update to 4.4.2

* Tue Jan 07 2025 Artem Polishchuk <ego.cordatus@gmail.com> - 4.4.1-1
- chore: Update to 4.4.1

* Thu Jan 02 2025 Artem Polishchuk <ego.cordatus@gmail.com> - 4.4.0-1
- chore: Update to 4.4.0

* Sun Nov 03 2024 Sérgio M. Basto <sergio@serjux.com> - 4.3.0-1
- Update vokoscreenNG to 4.3.0

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 02 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.0-1
- chore: Update to 4.2.0

* Tue May 21 2024 Jan Grulich <jgrulich@redhat.com> - 4.1.0-3
- Rebuild (qt6)

* Thu Apr 04 2024 Jan Grulich <jgrulich@redhat.com> - 4.1.0-2
- Rebuild (qt6)

* Wed Mar 27 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 4.1.0-1
- build: Update to 4.1.0 (rh#2271769)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-1
- build: Update to 4.0.0 (rh#2256552)

* Mon Oct 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.8.0-7
- build: Update AppData

* Sun Oct 22 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.8.0-6
- build: Add upstream patch fix

* Sun Oct 22 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.8.0-5
- packit: Update config

* Sun Oct 22 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.8.0-4
- build: Add gstreamer1-plugin-gif

* Sun Oct 22 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.8.0-3
- build: Explicitly add more BR

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.8.0-2
- packit: Add epel-9 for Bodhi

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.8.0-1
- build: Update to 3.8.0

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.7.0-6
- build: Update Packit config

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.7.0-5
- build: Add Packit config

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.7.0-4
- build: Use forge macros

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.7.0-3
- license: Convert to SPDX

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 01 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.7.0-1
- chore: Update to 3.7.0

* Mon Apr 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.6.0-1
- build: Update to 3.6.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 02 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.5.0-1
- build: Update to 3.5.0

* Mon Sep 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.0-1
- chore(update): 3.4.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jun 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.3.0-2
- build: Add new README.md

* Sat Jun 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.3.0-1
- chore(update): 3.3.0

* Tue May 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.0-2
- feat: Add AppData manifest

* Wed Mar 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.0-1
- chore(update): 3.2.0

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-1
- chore(update): 3.1.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.9-1
- build(update): 3.0.9

* Sun Jan 31 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.8-1
- build(update): 3.0.8

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct  1 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.7-1
- Update to 3.0.7

* Mon Aug 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.6-1
- Update to 3.0.6

* Fri Jul 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.5-1
- Update to 3.0.5

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.4-1
- Update to 3.0.4

* Tue Mar 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.3-1
- Update to 3.0.3

* Wed Mar 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.2-1
- Update to 3.0.2

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.0-2
- Initial package

## END: Generated by rpmautospec
